aboutsummaryrefslogtreecommitdiffstats
path: root/development/run-ganache
diff options
context:
space:
mode:
Diffstat (limited to 'development/run-ganache')
-rwxr-xr-xdevelopment/run-ganache28
1 files changed, 28 insertions, 0 deletions
diff --git a/development/run-ganache b/development/run-ganache
new file mode 100755
index 000000000..794a35084
--- /dev/null
+++ b/development/run-ganache
@@ -0,0 +1,28 @@
+#!/usr/bin/env bash
+
+set -e
+set -u
+set -o pipefail
+
+ganache_cli="$(npm bin)/ganache-cli"
+seed_phrase="${GANACHE_SEED_PHRASE:-phrase upgrade clock rough situate wedding elder clever doctor stamp excess tent}"
+
+_term () {
+ printf '%s\n' "Received SIGTERM, sending SIGKILL to Ganache"
+ kill -KILL "$child" 2>/dev/null
+ exit 42
+}
+
+_int () {
+ printf '%s\n' "Received SIGINT, sending SIGKILL to Ganache"
+ kill -KILL "$child" 2>/dev/null
+ exit 42
+}
+
+trap _term SIGTERM
+trap _int SIGINT
+
+$ganache_cli --noVMErrorsOnRPCResponse --networkId 5777 --mnemonic "$seed_phrase" ${GANACHE_ARGS:-} &
+
+child=$!
+wait "$child"